> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get app config > Get current app config via certificate authentication ## OpenAPI ````json GET /v1/runtime/app_configs { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/runtime/app_configs": { "get": { "tags": [ "ApplicationConfig" ], "summary": "Get app config", "description": "Get current app config via certificate authentication", "operationId": "getRuntimeApplicationConfig", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RuntimeAppConfig" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "AppAuth" } } }, "components": { "schemas": { "RuntimeAppConfig": { "required": [ "config", "extra" ], "type": "object", "properties": { "config": { "$ref": "#/components/schemas/HashedConfig" }, "extra": { "$ref": "#/components/schemas/ApplicationConfigExtra" } }, "description": "" }, "HashedConfig": { "required": [ "app_config", "labels", "zone_ca" ], "type": "object", "properties": { "app_config": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/ApplicationConfigContents" }, "x-sorted": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "x-sorted": true }, "zone_ca": { "type": "array", "items": { "type": "string" }, "x-sorted": true }, "workflow": { "$ref": "#/components/schemas/ApplicationConfigWorkflow" } }, "description": "" }, "ApplicationConfigExtra": { "type": "object", "properties": { "connections": { "type": "object", "additionalProperties": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/ApplicationConfigConnection" }, "x-sorted": true }, "x-sorted": true } }, "description": "" }, "ApplicationConfigContents": { "required": [ "value" ], "type": "object", "properties": { "contents": { "type": "string" } } }, "ApplicationConfigWorkflow": { "required": [ "workflow_id", "app_name", "port_map" ], "type": "object", "properties": { "workflow_id": { "type": "string", "format": "uuid" }, "app_name": { "type": "string" }, "port_map": { "type": "object", "additionalProperties": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/ApplicationConfigPort" }, "x-sorted": true }, "x-sorted": true }, "app_acct_id": { "type": "string", "format": "uuid" }, "app_group_id": { "type": "string", "format": "uuid" } }, "description": "" }, "ApplicationConfigConnection": { "type": "object", "properties": { "dataset": { "$ref": "#/components/schemas/ApplicationConfigConnectionDataset" }, "application": { "$ref": "#/components/schemas/ApplicationConfigConnectionApplication" } }, "description": "" }, "ApplicationConfigPort": { "type": "object", "properties": { "dataset": { "$ref": "#/components/schemas/ApplicationConfigPortDataset" }, "application": { "$ref": "#/components/schemas/ApplicationConfigPortApp" } }, "description": "" }, "ApplicationConfigConnectionDataset": { "required": [ "location", "credentials" ], "type": "object", "properties": { "location": { "type": "string" }, "credentials": { "$ref": "#/components/schemas/ApplicationConfigDatasetCredentials" } }, "description": "" }, "ApplicationConfigConnectionApplication": { "required": [ "workflow_domain" ], "type": "object", "properties": { "workflow_domain": { "type": "string" } }, "description": "" }, "ApplicationConfigPortDataset": { "required": [ "id" ], "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "acct_id": { "type": "string", "format": "uuid" }, "group_id": { "type": "string", "format": "uuid" } }, "description": "" }, "ApplicationConfigPortApp": { "type": "object", "properties": { "acct_id": { "type": "string", "format": "uuid" }, "group_id": { "type": "string", "format": "uuid" } }, "description": "" }, "ApplicationConfigDatasetCredentials": { "type": "object", "properties": { "sdkms": { "$ref": "#/components/schemas/ApplicationConfigSdkmsCredentials" } }, "description": "" }, "ApplicationConfigSdkmsCredentials": { "required": [ "credentials_url", "credentials_key_name", "sdkms_app_id" ], "type": "object", "properties": { "credentials_url": { "type": "string" }, "credentials_key_name": { "type": "string" }, "sdkms_app_id": { "type": "string", "format": "uuid" } }, "description": "" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````